org.richfaces.renderkit

## Class AbstractExtendedRowsRenderer.CompositeRendererEnabler

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.ajax4jsf.renderkit.AjaxChildrenRenderer
          - - org.richfaces.renderkit.CompositeRenderer
            - - org.richfaces.renderkit.AbstractExtendedRowsRenderer.CompositeRendererEnabler

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.AjaxRenderer, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Enclosing class:
    AbstractExtendedRowsRenderer

      protected class AbstractExtendedRowsRenderer.CompositeRendererEnabler
      extends org.richfaces.renderkit.CompositeRenderer

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer

      `log, SPECIAL_COMPONENTS_TYPES`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExtendedRowsRenderer.CompositeRendererEnabler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `org.richfaces.renderkit.RendererContributor[]` | `getContributors()`
    `java.lang.String` | `getScriptContributions(java.lang.String varString, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
    `org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
    `void` | `mergeScriptOptions(org.richfaces.renderkit.ScriptOptions scriptOptions, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.CompositeRenderer

      `addContributor, addParameterEncoder, doDecode, encodeAttributeParameters, escapeHtmlEntities, getParameterEncoders, getScriptContributions, getScripts, getStyles, mergeScriptOptions`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer

      `encodeAjaxChildren, encodeAjaxComponent`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### AbstractExtendedRowsRenderer.CompositeRendererEnabler

          public AbstractExtendedRowsRenderer.CompositeRendererEnabler()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### mergeScriptOptions

          public void mergeScriptOptions(org.richfaces.renderkit.ScriptOptions scriptOptions,
                                javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)

      Overrides:
        `mergeScriptOptions` in class `org.richfaces.renderkit.CompositeRenderer`

    - #### getScriptContributions

          public java.lang.String getScriptContributions(java.lang.String varString,
                                                javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component)

      Overrides:
        `getScriptContributions` in class `org.richfaces.renderkit.CompositeRenderer`

    - #### getContributors

          public org.richfaces.renderkit.RendererContributor[] getContributors()

      Overrides:
        `getContributors` in class `org.richfaces.renderkit.CompositeRenderer`

    - #### getScripts

          public org.ajax4jsf.resource.InternetResource[] getScripts()

      Overrides:
        `getScripts` in class `org.richfaces.renderkit.CompositeRenderer`

    - #### getStyles

          public org.ajax4jsf.resource.InternetResource[] getStyles()

      Overrides:
        `getStyles` in class `org.richfaces.renderkit.CompositeRenderer`

Copyright © 2013. All Rights Reserved.